namespace ti_common {
    export interface IAgentAPI {
        getLpListJson(): angular.IPromise<any>;
        getConfigInfo(OS: string): angular.IPromise<any>;
        getSupportingFiles(ccxmlFileContents: string, OS: string, osBits?: number): angular.IPromise<any>;
        queryConfig(ccxmlFileContents: string, OS: string): angular.IPromise<any>;
        getConfigurables(OS: string, connectionID: string, deviceID: string): angular.IPromise<string>;
        getConfig(OS: string, connectionID: string, deviceID: string, configurablesJson?: string): angular.IPromise<string>;
        getFileContent(OS: string, path: string, contentType?: ti_common.file.ContentType, version?: string): angular.IPromise<string>; // contentType is based on XMLHttpRequest.responseType
		closeAgent(): angular.IPromise<any>;
    };
}